routes/web.php
<?php

use App\Http\Controllers\HistorialeController;
use App\Http\Controllers\ResidenteController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Auth::routes();

Route::get('/home', 'App\Http\Controllers\HomeController@index')->name('home');

Route::group(['middleware' => 'auth'], function () {
	Route::resource('user', 'App\Http\Controllers\UserController', ['except' => ['show']]);
	Route::get('profile', ['as' => 'profile.edit', 'uses' => 'App\Http\Controllers\ProfileController@edit']);
	Route::put('profile', ['as' => 'profile.update', 'uses' => 'App\Http\Controllers\ProfileController@update']);
	Route::get('upgrade', function () {return view('pages.upgrade');})->name('upgrade'); 
	Route::get('map', function () {return view('pages.maps');})->name('map');
	Route::get('icons', function () {return view('pages.icons');})->name('icons');

	Route::resource('/residentes', 'App\Http\Controllers\ResidenteController');
	Route::resource('/empleados', 'App\Http\Controllers\EmpleadoController');
	Route::get('/residentes/{residente}/pdf', [App\Http\Controllers\ResidenteController::class,'getPdfSignosVitales']);
	Route::get('/residentes/{residente}/hijos/create', function ($residente_id) {return view('hijos.create');});
	Route::resource('/hijos', 'App\Http\Controllers\HijoController');
	Route::resource('/medicinas', 'App\Http\Controllers\MedicinaController');
	Route::resource('/tratamientos', 'App\Http\Controllers\TratamientoController');
	Route::get('/tratamientos/{id}/create', [\App\Http\Controllers\TratamientoController::class, 'create'])->name('tratamientos.create');
	Route::resource('/libroIngresos', 'App\Http\Controllers\LibroIngresoController');
	Route::resource('/libroEgresos', 'App\Http\Controllers\LibroEgresoController');
	Route::resource('/libroGastos', 'App\Http\Controllers\LibroGastoController');
	Route::resource('/dietas', 'App\Http\Controllers\DietaController');
	Route::get('/dietas/{id}/create', [\App\Http\Controllers\DietaController::class, 'create'])->name('dietas.create');

	Route::get('table-list', function () {return view('pages.tables');})->name('table');
	Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'App\Http\Controllers\ProfileController@password']);

	//libro Ingresos
	Route::resource('/libroIngresos', 'App\Http\Controllers\LibroIngresoController');
	//libro Egresos
	Route::resource('/libroEgresos', 'App\Http\Controllers\LibroEgresoController');
	//historiales
	Route::resource('/residentes/{residente}/historiales', 'App\Http\Controllers\HistorialeController');

	Route::delete('/historiales/{id}', [\App\Http\Controllers\HistorialeController::class, 'destroye'])->name('historiales.destroye'); // Laravel 8
	Route::get('/historiales/{id}/edite', [\App\Http\Controllers\HistorialeController::class, 'edite'])->name('historiales.edite'); // Laravel 8
	Route::put('/historiales/{id}', [\App\Http\Controllers\HistorialeController::class, 'updates'])->name('historiales.updates');
	
	//infromes 
	Route::get('/informes', [App\Http\Controllers\InformeController::class,'index'])->name('informes.index');

	Route::post('/informes/pdfIngresosFecha', [App\Http\Controllers\InformeController::class,'pdfIngresosFecha'])->name('informes.pdfIngresosFecha');

	Route::post('/informes/pdfGastosResidente', [App\Http\Controllers\InformeController::class,'pdfGastosResidente'])->name('informes.pdfGastosResidente');

	Route::get('/informes/pdfIngresos', [App\Http\Controllers\InformeController::class,'pdfIngresos']);
	
	Route::get('/informes/pdfEgresos', [App\Http\Controllers\InformeController::class,'pdfEgresos']);
	Route::get('/informes/pdfTotal', [App\Http\Controllers\InformeController::class,'pdfTotal']);
	
});

app/Models/Empleado.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Empleado extends Model
{
    use HasFactory;
     //Relación uno a muchos
    public function tratamientos()
    {
        return $this->hasMany('App\Models\Tratamiento');
    }
}

app/Http/Controllers/EmpleadoController.php
<?php

namespace App\Http\Controllers;

use App\Models\Empleado;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class EmpleadoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $empleados = DB::table('empleados')->simplePaginate(10);
        return view('empleados.index', compact('empleados'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('empleados.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validated = $request->validate([
            'nombre' => 'required|max:30',
            'apellido' => 'required|max:40',
            'ci' => 'required|unique:empleados|integer',
            'fecha_nacimiento' => 'required',
            'direccion' => 'required|max:40',
            'telefono' => 'required|max:17',
            'especialidad' => 'required'
        ]);
        $empleado = new Empleado();
        $empleado->nombre = $request->get('nombre');
        $empleado->apellido = $request->get('apellido');
        $empleado->ci = $request->get('ci');
        $empleado->fecha_nacimiento = $request->get('fecha_nacimiento');
        $empleado->direccion = $request->get('direccion');
        $empleado->telefono = $request->get('telefono');
        $empleado->especialidad = $request->get('especialidad');

        $empleado->save();

        return redirect('/empleados');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Empleado  $empleado
     * @return \Illuminate\Http\Response
     */
    public function show(Empleado $empleado)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Empleado  $empleado
     * @return \Illuminate\Http\Response
     */
    public function edit(Empleado $empleado)
    {
        return view('empleados.edit', compact('empleado'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Empleado  $empleado
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Empleado $empleado)
    {
        $validated = $request->validate([
            'nombre' => 'required|max:30',
            'apellido' => 'required|max:40',
            'ci' => 'required|integer',
            'fecha_nacimiento' => 'required',
            'direccion' => 'required|max:40',
            'telefono' => 'required|max:17',
            'especialidad' => 'required'
        ]);
        $empleado->nombre = $request->get('nombre');
        $empleado->apellido = $request->get('apellido');
        $empleado->ci = $request->get('ci');
        $empleado->fecha_nacimiento = $request->get('fecha_nacimiento');
        $empleado->direccion = $request->get('direccion');
        $empleado->telefono = $request->get('telefono');
        $empleado->especialidad = $request->get('especialidad');

        $empleado->save();

        return redirect('/empleados');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Empleado  $empleado
     * @return \Illuminate\Http\Response
     */
    public function destroy(Empleado $empleado)
    {
        $empleado->delete();
        //dd($empleado);
        return redirect('/empleados');
    }
}

resources/views/empleados/create.blade.php
@extends('layouts.app', ['title' => __('Ingresar personal')])

@section('content')
  @include('layouts.headers.header')
  <div class="container-fluid mt--7">
    <div class="card bg-secondary shadow">
      <div class="card-header bg-white border-0">
        <div class="row align-items-center">
          <h3 class="mb-0">{{ __('Ingresar personal') }}</h3>
        </div>
      </div>
      <div class="card-body">
        <form method="post" action="/empleados" autocomplete="off">
          @csrf

          <h6 class="heading-small text-muted mb-4">{{ __('Información del personal') }}</h6>
                                
          <div class="pl-lg-4">
            <div class="row">
              <div class="form-group col">
                <label class="form-control-label" for="nombre">{{ __('Nombre') }}</label>
                <input type="text" name="nombre" id="nombre" class="form-control" value="{{ old('nombre') }}" required autofocus>
              </div>
              <div class="form-group col">
                <label class="form-control-label" for="apellido">{{ __('Apellido') }}</label>
                <input type="text" name="apellido" id="apellido" class="form-control" value="{{ old('apellido') }}" required>
              </div>
            </div>
            <div class="row">
              <div class="col">
              @if ($errors->has('nombre'))
                <span class="error text-danger" for="nombre">{{ $errors->first('nombre') }}</span>
              @endif
              </div>
              <div class="col">
              @if ($errors->has('apellido'))
                <span class="error text-danger" for="apellido">{{ $errors->first('apellido') }}</span>
              @endif
              </div>
            </div>
            <div class="row">
              <div class="form-group col">
                <label class="form-control-label" for="ci">{{ __('CI') }}</label>
                <input type="text" name="ci" id="ci" class="form-control" value="{{ old('ci') }}" required>
              </div>
              <div class="form-group col">
                <label class="form-control-label" for="fecha_nacimiento">{{ __('Fecha de nacimiento') }}</label>
                <input type="date" name="fecha_nacimiento" id="fecha_nacimiento" class="form-control" value="{{ old('fecha_nacimiento') }}" required>
              </div>
            </div>
            <div class="row">
              <div class="col">
              @if ($errors->has('ci'))
                <span class="error text-danger" for="ci">{{ $errors->first('ci') }}</span>
              @endif
              </div>
              <div class="col">
              @if ($errors->has('fecha_nacimiento'))
                <span class="error text-danger" for="fecha_nacimiento">{{ $errors->first('fecha_nacimiento') }}</span>
              @endif
              </div>
            </div>
            <div class="form-group">
              <label class="form-control-label" for="direccion">{{ __('Dirección') }}</label>
              <input type="text" name="direccion" id="direccion" class="form-control" value="{{ old('direccion') }}" required>
            </div>
            @if ($errors->has('direccion'))
              <span class="error text-danger" for="direccion">{{ $errors->first('direccion') }}</span>
            @endif
            <div class="row">
              <div class="form-group col">
                <label class="form-control-label" for="telefono">{{ __('Teléfono') }}</label>
                <input type="text" name="telefono" id="telefono" class="form-control" value="{{ old('telefono') }}" required>
              </div>
              
              <div class="form-group col">
                <label class="form-control-label" for="especialidad">{{ __('Especialidad') }}</label>
                <input type="text" name="especialidad" id="especialidad" class="form-control" value="{{ old('especialidad') }}" required>
              </div>
            </div>
            <div class="row">
              <div class="col">
              @if ($errors->has('telefono'))
                <span class="error text-danger" for="telefono">{{ $errors->first('telefono') }}</span>
              @endif
              </div>
              <div class="col">
              @if ($errors->has('especialidad'))
                <span class="error text-danger" for="especialidad">{{ $errors->first('especialidad') }}</span>
              @endif
              </div>
            </div>
            <div class="text-center">
              <a href="/empleados" class="btn btn-secondary mt-4">{{ __('Cancelar') }}</a>
              <button type="submit" class="btn btn-success mt-4">{{ __('Guardar') }}</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
@endsection

@push('js')
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.min.js"></script>
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.extension.js"></script>
@endpush

resources/views/empleados/edit.blade.php
@extends('layouts.app', ['title' => __('Editar personal')])

@section('content')
  @include('layouts.headers.header')
  <div class="container-fluid mt--7">
    <div class="card bg-secondary shadow">
      <div class="card-header bg-white border-0">
        <div class="row align-items-center">
          <h3 class="mb-0">{{ __('Editar personal') }}</h3>
        </div>
      </div>
      <div class="card-body">
        <form method="post" action="/empleados/{{ $empleado->id }}" autocomplete="off">
          @csrf
          @method('put')
          <h6 class="heading-small text-muted mb-4">{{ __('Información del personal') }}</h6>
          <div class="pl-lg-4">
            <div class="row">
              <div class="form-group col">
                <label class="form-control-label" for="nombre">{{ __('Nombre') }}</label>
                <input type="text" name="nombre" id="nombre" class="form-control" value="{{$empleado->nombre}}" required autofocus>
              </div>
              @if ($errors->has('nombre'))
                <span class="error text-danger" for="nombre">{{ $errors->first('nombre') }}</span>
              @endif
              <div class="form-group col">
                <label class="form-control-label" for="apellido">{{ __('Apellido') }}</label>
                <input type="text" name="apellido" id="apellido" class="form-control" value="{{$empleado->apellido}}" required>
              </div>
              @if ($errors->has('apellido'))
                <span class="error text-danger" for="apellido">{{ $errors->first('apellido') }}</span>
              @endif
            </div>
            <div class="row">
              <div class="form-group col">
                <label class="form-control-label" for="ci">{{ __('CI') }}</label>
                <input type="text" name="ci" id="ci" class="form-control" value="{{$empleado->ci}}" required>
              </div>
              @if ($errors->has('ci'))
                <span class="error text-danger" for="ci">{{ $errors->first('ci') }}</span>
              @endif
              <div class="form-group col">
                <label class="form-control-label" for="fecha_nacimiento">{{ __('Fecha de nacimiento') }}</label>
                <input type="text" name="fecha_nacimiento" id="fecha_nacimiento" class="form-control" value="{{$empleado->fecha_nacimiento}}" required>
              </div>
              @if ($errors->has('fecha_nacimiento'))
                <span class="error text-danger" for="fecha_nacimiento">{{ $errors->first('fecha_nacimiento') }}</span>
              @endif
            </div>
            <div class="form-group">
              <label class="form-control-label" for="direccion">{{ __('Dirección') }}</label>
              <input type="text" name="direccion" id="direccion" class="form-control" value="{{$empleado->direccion}}" required>
            </div>
            @if ($errors->has('direccion'))
              <span class="error text-danger" for="direccion">{{ $errors->first('direccion') }}</span>
            @endif
            <div class="row">
              <div class="form-group col">
                <label class="form-control-label" for="telefono">{{ __('Teléfono') }}</label>
                <input type="text" name="telefono" id="telefono" class="form-control" value="{{$empleado->telefono}}" required>
                <input type="hidden" name="residente_id" value="{{$empleado->id}}">
              </div>
              @if ($errors->has('telefono'))
                <span class="error text-danger" for="telefono">{{ $errors->first('telefono') }}</span>
              @endif
              <div class="form-group col">
                <label class="form-control-label" for="especialidad">{{ __('Especialidad') }}</label>
                <input type="text" name="especialidad" id="especialidad" class="form-control" value="{{$empleado->especialidad}}" required>
              </div>
              @if ($errors->has('especialidad'))
                <span class="error text-danger" for="especialidad">{{ $errors->first('especialidad') }}</span>
              @endif
            </div>
            <div class="text-center">
              <a href="/empleados" class="btn btn-secondary mt-4">{{ __('Cancelar') }}</a>
              <button type="submit" class="btn btn-success mt-4">{{ __('Guardar') }}</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
@endsection

@push('js')
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.min.js"></script>
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.extension.js"></script>
@endpush

resources/views/empleados/index.blade.php
@extends('layouts.app')

@section('content')
  @include('layouts.headers.header')
  <!-- Tabla -->
  <div class="container-fluid mt--6">
    <div class="pb-2 pr-1 text-right"><a href="empleados/create" class="btn btn-sm btn-neutral">Ingresar personal</a></div>
    <div class="row">
        <div class="col">
          <div class="card bg-default shadow">
            <div class="card-header bg-transparent border-0">
              <div class="row responsive">
                <div class="col-8"><h3 class="text-white mb-0">Lista del personal</h3></div>
              </div>
            </div>
            <div class="table-responsive">
              <table class="table align-items-center table-dark table-flush">
                <thead class="thead-dark">
                  <tr>
                    <th scope="col" class="sort">Id</th>
                    <th scope="col" class="sort" data-sort="name">Nombre</th>
                    <th scope="col" class="sort">CI</th>
                    <th scope="col" class="sort">Dirección</th>
                    <th scope="col" class="sort">Teléfono</th>
                    <th scope="col" class="sort">Especialidad</th>
                    <th scope="col"></th>
                  </tr>
                </thead>
                <tbody class="list">
                  @foreach ($empleados as $empleado)
                    <tr>
                      <td>{{$empleado->id}}</td>
                      <td>{{$empleado->nombre}} {{$empleado->apellido}}</td>
                      <td>{{$empleado->ci}}</td>
                      <td>{{$empleado->direccion}}</td>
                      <td>{{$empleado->telefono}}</td>
                      <td>{{$empleado->especialidad}}</td>
                      <td class="text-right">
                        <div class="dropdown">
                          <a class="btn btn-sm btn-icon-only text-light" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="fas fa-ellipsis-v"></i>
                          </a>
                          <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow">
                            <a class="dropdown-item" href="/empleados/{{$empleado->id}}/edit">Editar</a>
                            <form id="{{$empleado->id}}" action="{{route('empleados.destroy', $empleado->id)}}" method="POST">
                              @csrf
                              @method('DELETE')
                              <a class="dropdown-item" href="javascript:{}" onclick="document.getElementById('{{$empleado->id}}').submit(); return false;">Eliminar</a>
                            </form>
                          </div>
                        </div>
                      </td>
                    </tr>
                @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
    </div>
  </div><br>
  <div class="text-center">{{ $empleados->links() }}</div><br>
@endsection

@push('js')
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.min.js"></script>
    <script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.extension.js"></script>
@endpush